<?php

namespace App\Http\Controllers\Admin;


use App\Model\Table_name;
use App\Model\Tablelist;
use Illuminate\Http\Request;

use App\Http\Requests;
use App\Http\Controllers\Controller;
use App\Http\Controllers\Admin\CommonController;
use Illuminate\Support\Facades\Input;

class TableController extends CommonController
{
    public function index()
    {
        $data = Table_name::orderby('id','asc')->paginate(10);
        return view('admin.table.table',compact('data'));
    }

//    待办案件
    public function on_table()
    {
        $data = Tablelist::orderby('id','asc')->paginate(10);
        return view('admin.table.on_table',compact('data'));
    }

//    $table_id 表格类型id
    public function show($table_id)
    {

        if($table_id == 1){
            return view('admin.table.table_one',compact('table_id'));
        }
        if($table_id == 2){
            return view('admin.table.table_two',compact('table_id'));
        }
        if($table_id == 3){
            return view('admin.table.table_three',compact('table_id'));
        }
        if($table_id == 4){
            return view('admin.table.table_four',compact('table_id'));
        }
        if($table_id == 5){
            return view('admin.table.table_five',compact('table_id'));
        }
        if($table_id == 6){
            return view('admin.table.table_six',compact('table_id'));
        }
        if($table_id == 7){
            return view('admin.table.table_seven',compact('table_id'));
        }
        if($table_id == 8){
            return view('admin.table.table_eight',compact('table_id'));
        }
        if($table_id == 9){
            return view('admin.table.table_nine',compact('table_id'));
        }
    }

//    尚未完成表单仅保存
//    $table_id 表格类型id
    public function save(Request $request,$table_id)
    {
        $user = session('user');
        $input = $request->only('project_name','bzc_name','bzc_cardid','bzc_addr','bzc_area','house_type','bzc_tel','used','num','table_time');
//        表格未完成保存 0
        $data = $input;
        if($data['bzc_area'] == null){
            $data['bzc_area'] = 0;
        }
        if($data['house_type'] == null){
            $data['house_type'] = '默认:住房';
        }
        $data['status'] = '0';
        $data['user_id'] = $user->id;
        $data['table_id'] = $table_id;
        $data['json'] = json_encode($request->except('_token'));

        $re = Tablelist::create($data);
        if($re){
            return redirect('/on_table');
        }else{
            return back()->with('errors','保存失败请重试!');
        }

//        把数据转化为json
//        $v = json_encode($request->all());
//        解析json为对象
//        $a = json_decode($v);

        return 0;
    }

    public function submit($user_id)
    {
//        0:未提交 1已核算  2已复核 3已提交 4：已初审 5：已复审 6已监审
        return 1;
    }

    public function delete($table_id)
    {
        $re = Tablelist::where('id',$table_id)->delete();
        if($re){
            $data = [
                'status'=>1,
                'msg' => '删除成功！'
            ];
        }else{
            $data = [
                'status'=>0,
                'msg' => '删除失败！'
            ];
        }
        return $data;
    }


//    $table_id表格自增id
    public function edit($table_id)
    {
        $table = Tablelist::find($table_id);
        $table_type_id = $table['table_id'];
        $json = json_decode($table['json'],true);
        $table = json_encode($table);
        $table = json_decode($table,true);
        $table = array_merge($table,$json);

        $table = (object)$table;

        if($table_type_id == 1){
            return view('admin.edit_table.table_one',compact('table_id','table'));
        }
        if($table_type_id == 2){
            return view('admin.edit_table.table_two',compact('table_id','table'));
        }
        if($table_type_id == 3){
            return view('admin.edit_table.table_three',compact('table_id','table'));
        }
        if($table_type_id == 4){
            return view('admin.edit_table.table_four',compact('table_id','table'));
        }
        if($table_type_id == 5){
            return view('admin.edit_table.table_five',compact('table_id','table'));
        }
        if($table_type_id == 6){
            return view('admin.edit_table.table_six',compact('table_id','table'));
        }
        if($table_type_id == 7){
            return view('admin.edit_table.table_seven',compact('table_id','table'));
        }
        if($table_type_id == 8){
            return view('admin.edit_table.table_eight',compact('table_id','table'));
        }
        if($table_type_id == 9){
            return view('admin.edit_table.table_nine',compact('table_id','table'));
        }
    }

    //    $table_id表格自增id
    public function update(Request $request,$table_id)
    {
        $user = session('user');
        $input = $request->only('project_name','bzc_name','bzc_cardid','bzc_addr','bzc_area','house_type','bzc_tel','used','num','table_time');
//        表格未完成保存 0
        $data = $input;
        $data['user_id'] = $user->id;
        $data['table_id'] = $table_id;
        $data['json'] = json_encode($request->except('_token'));

        $re = Tablelist::where('id',$table_id)->update($data);
        if($re){
            return redirect('/on_table/');
        }else{
            return back()->with('msg','保存更新错误，请稍后重试！');
        }
    }


}
